﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

namespace WebApplication1.BO
{
    public class Head : INotifyPropertyChanged
    {
        private List<Knight> knightsList;
        private int number;

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }

        public int Number {
            get {
                return number;
            }
            set {
                number = value;
                OnPropertyChanged("Number");
            }
        }


        /// <summary>
        /// list
        /// </summary>
        public List<Knight> KnightsList
        {
            get
            {
                if (knightsList == null)
                {
                    knightsList = new List<Knight>();

                    knightsList.Add(new Knight(1, Title.King, "Uther", true));
                    knightsList.Add(new Knight(2, Title.King, "Arthur", true));
                    knightsList.Add(new Knight(3, Title.Sir, "Mordred", false));
                    knightsList.Add(new Knight(4, Title.Sir, "Gawain", true));
                    knightsList.Add(new Knight(5, Title.Sir, "Galahad", true));

                }
                return knightsList;
            }
        }

    }
}